Package skyview.survey

# Class FitsImage

java.lang.Object
skyview.survey.Image
skyview.survey.FitsImage

All Implemented Interfaces:
  `Serializable`, `Component`

public class FitsImage extends Image
This class defines an image gotten by reading a file

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.survey.Image

`data`

## Constructor Summary

Constructors
Constructor
Description
`FitsImage(String file)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearData()`
Clear the data array
`double`
`getData(long npix)`
Defer reading the data until it is asked for.
`double[]`
`getDataArray()`
Get the data as an array
`String`
`getFilename()`
`nom.tam.fits.Header`
`getHeader()`

### Methods inherited from class skyview.survey.Image

`getBaseImage, getCenter, getCorners, getDepth, getDescription, getHeight, getName, getTransformer, getWCS, getWidth, initialize, isTiled, setAccumulate, setData, setDataArray, setName, valid, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FitsImage

public FitsImage(String file) throws SurveyException

Throws:
  `SurveyException`

## Method Details

### getFilename

public String getFilename()

### clearData

public void clearData()
Description copied from class: `Image`
Clear the data array

Overrides:
  `clearData` in class `Image`

### getData

public double getData(long npix)
Defer reading the data until it is asked for.

Overrides:
  `getData` in class `Image`

### getDataArray

public double[] getDataArray()
Description copied from class: `Image`
Get the data as an array

Overrides:
  `getDataArray` in class `Image`

### getHeader

public nom.tam.fits.Header getHeader()